%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Summary:   Simple image viewer widget for GTK
Name:      gtkimageview
Version:   1.6.4
Release: %mkrel 9
License:   LGPLv2+
Group:     System/Libraries
Source0:   http://trac.bjourne.webfactional.com/attachment/wiki/WikiStart/gtkimageview-%{version}.tar.gz
# (fc) 1.3.0-1mdv disable -Werror flag
Patch0:    gtkimageview-1.3.0-nowerror.patch
Patch1: gtkimageview-1.6.4-link.patch
URL:       http://trac.bjourne.webfactional.com/
BuildRequires: gtk+2-devel
BuildRequires: gtk-doc
BuildRequires: gnome-common

%description
GtkImageView is a widget that provides a zoomable and panable view of
a GdkPixbuf. It is intended to be usable in most types of image
viewing applications.

%package -n %{lib_name}
Summary: %{summary}
Group: %{group}

%description -n %{lib_name}
GtkImageView is a widget that provides a zoomable and panable view of
a GdkPixbuf. It is intended to be usable in most types of image
viewing applications.

This package contains the library needed to run programs dynamically
linked with gtkimageview.

%package -n %{lib_name_devel}
Summary: Static libraries and header files of %{name}
Group:   Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
GtkImageView is a widget that provides a zoomable and panable view of
a GdkPixbuf. It is intended to be usable in most types of image
viewing applications.

%prep
%setup  -q
%patch0 -p1 -b .nowerror
%patch1 -p0 -b .link

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc README
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.6.4-9.mga6
+ Revision: 943251
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-8.mga5
+ Revision: 745333
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-7.mga5
+ Revision: 680021
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.4-6.mga4
+ Revision: 505377
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.4-5.mga3
+ Revision: 352894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.6.4-4.mga2
+ Revision: 201734
- fix linkage
- cleanup spec

* Sun Jan 23 2011 pterjan <pterjan> 1.6.4-3.mga1
+ Revision: 35394
- Drop old stuff
- imported package gtkimageview


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.4-3mdv2011.0
+ Revision: 605511
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.4-2mdv2010.1
+ Revision: 522811
- rebuilt for 2010.1

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.6.4-1mdv2010.0
+ Revision: 410552
- use autogen rather thant autoreconf
- new version 1.6.4

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 1.6.3-1mdv2009.1
+ Revision: 355265
- New version 1.6.3

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-3mdv2009.1
+ Revision: 301491
- rebuilt against new libxcb

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.6.1-2mdv2009.0
+ Revision: 264645
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2009.0
+ Revision: 208525
- New version 1.6.1

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 161838
- New version 1.5.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 57004
- Import gtkimageview

